ofdb.py crashed with ImportError in <module>()

Bug #378384 reported by Stefan Pappalardo on 2009-05-19
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mythbuntu
Won't Fix
Low
Unassigned
mythplugins (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: mythplugins

$ lsb_release -rd
Description: Ubuntu 9.04
Release: 9.04

$ apt-cache policy mythvideo
mythvideo:
  Installiert: 0.21.0+fixes19556-0ubuntu8
  Kandidat: 0.21.0+fixes19556-0ubuntu8
  Versions-Tabelle:
 *** 0.21.0+fixes19556-0ubuntu8 0
        500 http://de.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

When searching metadata in OFDB I get every time the same error.

Hints:
+ Yesterday I upraded from intrepid to jaunty.
+ python-xml is installed (required by ofdb.py)

ProblemType: Crash
Architecture: amd64
DistroRelease: Ubuntu 9.04
ExecutablePath: /usr/share/mythtv/mythvideo/scripts/ofdb.py
InterpreterPath: /usr/bin/python2.6
NonfreeKernelModules: nvidia
Package: mythvideo 0.21.0+fixes19556-0ubuntu8
ProcCmdline: /usr/bin/python /usr/share/mythtv/mythvideo/scripts/ofdb.py -M Uncle\ Bens
ProcEnviron:
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/mythtv/mythvideo/scripts/ofdb.py', '-M', 'Uncle Bens']
SourcePackage: mythplugins
Title: ofdb.py crashed with ImportError in <module>()
Uname: Linux 2.6.28-11-generic x86_64
UserGroups: adm admin audio cdrom dialout dip floppy fuse lpadmin mythtv plugdev video

Stefan Pappalardo (sjuk) wrote :
tags: removed: need-duplicate-check
Stefan Pappalardo (sjuk) on 2009-05-19
visibility: private → public
description: updated
Stefan Pappalardo (sjuk) on 2009-05-21
description: updated
Jan Schneider (yunosh) wrote :

Any news over the last 2 months? Shouldn't be so hard for someone with python knowledge to fix the dependencies.

Jan Schneider (yunosh) wrote :

I think the dependencies are messed up, and in trying to handle that Ubuntu phases out PyXML, ofdb.py was patched incorrectly. This is my patch which got ofdb.py working *without* python-xml

MarcRandolph (mrand) wrote :

Good timing on asking about this. 12 days ago a related change was made upstream:
http://svn.mythtv.org/trac/ticket/6317

Could you try the updated file (http://svn.mythtv.org/trac/browser/trunk/mythplugins/mythvideo/mythvideo/scripts/ofdb.py?format=txt) and that out and see if it resolves your issue?

Changed in mythplugins (Ubuntu):
status: New → Confirmed
Jan Schneider (yunosh) wrote :

No, it doesn't, because the library paths are still set in the wrong order.
sgmlop.so which is imported from Sgmlop.py only exists in /usr/lib/python2.6/dist-packages/oldxml/_xmlplus/parsers/ on my vanilla mythbuntu system. If the directories are appended to the search path instead of prepended, Sgmlop.py is loaded from /usr/lib/python2.6/dist-packages/_xmlplus/dom/ext/reader/ and thus can't find sgmlop.so.
I'm not a Python guy, but to me the current python distribution looks pretty messed up, with two different xml libraries bundled, one of them incomplete. And I even already removed the 2.5 compatibility libraries which included two more versions.

MarcRandolph (mrand) wrote :

Howdy Jan, any chance you could check out a 9.10 alpha and see if it is still as messed up? Thanks!

Jan Schneider (yunosh) wrote :

Unfortunately not, the only suitable machine is in production.

Jan Schneider (yunosh) wrote :

The paths are still in the wrong order in Karmic. Attached is updated patch.

Stefan Pappalardo (sjuk) wrote :

After update to Karmic I use tmdb.pl. And I am komfort with it, in the hope that there wil be multilingual netadata grabbing in the future. For me there is no need for ofdb.py anymore.

Thomas Mashos (tgm4883) on 2010-01-24
Changed in mythbuntu:
status: New → Triaged
importance: Undecided → Low
Mario Limonciello (superm1) wrote :

We've decided not to include this patch as the direction upstream is to using tmdb.pl. If you'd like to see this patch included, i'd recommend pushing it upstream.

Changed in mythbuntu:
status: Triaged → Won't Fix
Changed in mythplugins (Ubuntu):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.